Thursday, March 8, 2007

Compilando MonoDevelop 0.13

Como no encontre los paquetes de monodevelop 0.13 para Ubuntu Edgy, decidi compilarlo desde el source. Paso 1: Instalar Mono + MonoDevelop Paso 2: Usando Sympatic obtener la ultima versión de automake(automake 1.9 hasta la fecha)(imprescindible desinstalar la versión anterior) Paso 3: Descargar el source:
mkdir monodevelop
cd monodevelop
svn co svn://svn.myrealbox.com/source/trunk/monodevelop
autogen.sh
make run
Listo :) NOTA: En mi caso tenia MonoDevelop 0.12 instalado y el Plugin de XML, por lo tanto al correr la nueva versión(0.13) con la 0.12 instalada me dio un error al cargar dicho plugin, pero el monodevelop puede continuar trabajando.

2 comments:

Johan.Hernandez said...

He instalado recientemente ubuntu Edgy Eft y por defecto no tiene instalada la libreria glib-gettextsize. Para corregirlo instale el paquete glib-dev.

Johan.Hernandez said...

mmm posiblemente encuentren otro problemita....

checking for UNMANAGED_DEPENDENCIES_MONO... checking for UNMANAGED_DEPENDENCIES_MINT... configure: error: Please install mono version 1.1.10 or later to install MonoDevelop.

La Solucion es instalar el siguiente paquete:

libmono-dev